From root@mail.vx.sk  Tue Mar 13 12:06:38 2007
Return-Path: <root@mail.vx.sk>
Received: from mx1.freebsd.org (mx1.freebsd.org [69.147.83.52])
	by hub.freebsd.org (Postfix) with ESMTP id 05A2B16A400
	for <FreeBSD-gnats-submit@freebsd.org>; Tue, 13 Mar 2007 12:06:38 +0000 (UTC)
	(envelope-from root@mail.vx.sk)
Received: from mail.vx.sk (neo.vx.sk [88.198.35.14])
	by mx1.freebsd.org (Postfix) with ESMTP id A8EC913C44C
	for <FreeBSD-gnats-submit@freebsd.org>; Tue, 13 Mar 2007 12:06:37 +0000 (UTC)
	(envelope-from root@mail.vx.sk)
Received: from localhost (localhost [127.0.0.1])
	by mail.vx.sk (Postfix) with ESMTP id B469B3F474
	for <FreeBSD-gnats-submit@freebsd.org>; Tue, 13 Mar 2007 13:06:36 +0100 (CET)
Received: from mail.vx.sk ([127.0.0.1])
	by localhost (mail.vx.sk [127.0.0.1]) (amavisd-new, port 10024)
	with LMTP id pkyRl+-h89dL for <FreeBSD-gnats-submit@freebsd.org>;
	Tue, 13 Mar 2007 13:06:32 +0100 (CET)
Received: by mail.vx.sk (Postfix, from userid 0)
	id D79DB3F47B; Tue, 13 Mar 2007 13:06:32 +0100 (CET)
Message-Id: <20070313120632.D79DB3F47B@mail.vx.sk>
Date: Tue, 13 Mar 2007 13:06:32 +0100 (CET)
From: Martin Matuska <martin@matuska.org>
Reply-To: Martin Matuska <martin@matuska.org>
To: FreeBSD-gnats-submit@freebsd.org
Cc:
Subject: [PATCH] misc/dotfile
X-Send-Pr-Version: 3.113
X-GNATS-Notify:

>Number:         110263
>Category:       ports
>Synopsis:       [PATCH] misc/dotfile
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    miwi
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Tue Mar 13 12:10:04 GMT 2007
>Closed-Date:    Tue Mar 13 13:31:10 GMT 2007
>Last-Modified:  Tue Mar 13 13:40:04 GMT 2007
>Originator:     Martin Matuska
>Release:        FreeBSD 6.2-RELEASE
>Organization:
>Environment:
FreeBSD 6.2-RELEASE i386/amd64
>Description:
Fixed build

Tested via portlint -A and tinderbox.
>How-To-Repeat:
>Fix:
diff -Nbur misc/dotfile.orig/Makefile misc/dotfile/Makefile
--- misc/dotfile.orig/Makefile	Tue Mar 13 13:02:22 2007
+++ misc/dotfile/Makefile	Tue Mar 13 13:00:04 2007
@@ -7,6 +7,7 @@
 
 PORTNAME=	dotfile
 PORTVERSION=	2.4.1
+PORTREVISION=	1
 CATEGORIES=	misc tk82
 MASTER_SITES=	http://www.blackie.dk/dotfile/download/
 
@@ -14,33 +15,26 @@
 COMMENT=	A GUI dotfile generator program to create .config files
 
 BUILD_DEPENDS=	formail:${PORTSDIR}/mail/procmail
-LIB_DEPENDS=	tk82.1:${PORTSDIR}/x11-toolkits/tk82
-RUN_DEPENDS=	wish8.2:${PORTSDIR}/x11-toolkits/tk82
-.if defined(WITH_JAPANESE)
-BUILD_DEPENDS+=	wish8.0jp:${PORTSDIR}/japanese/tk80
-RUN_DEPENDS+=	wish8.0jp:${PORTSDIR}/japanese/tk80
-.endif
 
 GNU_CONFIGURE=	yes
 PLIST_SUB=	DISTNAME="${DISTNAME}"
 NO_BUILD=	yes
 
-.if !defined(BATCH)
-IS_INTERACTIVE=	yes
-.endif
-
 MAN1=		dotfile.1
 
-post-patch:
-.if defined(BATCH)
+OPTIONS=	JAPANESE "Use Japanese as default language" off
+
+USE_TK=		82
+USE_TK_BUILD=	82
+
+.include <bsd.port.pre.mk>
+
 .if defined(WITH_JAPANESE)
-	@${REINPLACE_CMD} -e "s|set answer \"\"|set answer \"2\"|" \
-		${WRKSRC}/language.tcl
-.else
-	@${REINPLACE_CMD} -e "s|set answer \"\"|set answer \"1\"|" \
-		${WRKSRC}/language.tcl
-.endif # WITH_JAPANESE
-.endif # BATCH
+CONFIGURE_ENV+=	LANGUAGE="japanese"
+.endif
+
+post-patch:
+	@${RM} ${WRKSRC}/Modules/english/procmail/configure.orig
 	@${REINPLACE_CMD} -e "s|%%LOCALBASE%%|${LOCALBASE}|g" ${WRKSRC}/dotfile
 
 post-configure:
@@ -63,4 +57,4 @@
 	@${ECHO_CMD} ""
 .endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -Nbur misc/dotfile.orig/files/patch-Modules-english-procmail-configure misc/dotfile/files/patch-Modules-english-procmail-configure
--- misc/dotfile.orig/files/patch-Modules-english-procmail-configure	Thu Jan  1 01:00:00 1970
+++ misc/dotfile/files/patch-Modules-english-procmail-configure	Tue Mar 13 12:59:37 2007
@@ -0,0 +1,12 @@
+--- Modules/english/procmail/configure.orig	Sat Feb 19 20:15:42 2000
++++ Modules/english/procmail/configure	Tue Mar 13 12:59:19 2007
+@@ -533,8 +533,7 @@
+ echo "----------------------------------------------------------------------"
+ echo "----------------------------------------------------------------------"
+ 
+-
+-for ac_prog in tclsh7.6 tclsh7.5 tclsh7.4 tclsh
++for ac_prog in tclsh8.2 tclsh8.1 tclsh8.0 tclsh7.6 tclsh7.5 tclsh7.4 tclsh
+ do
+ # Extract the first word of "$ac_prog", so it can be a program name with args.
+ set dummy $ac_prog; ac_word=$2
diff -Nbur misc/dotfile.orig/files/patch-configure misc/dotfile/files/patch-configure
--- misc/dotfile.orig/files/patch-configure	Thu Jan  1 01:00:00 1970
+++ misc/dotfile/files/patch-configure	Tue Mar 13 12:57:08 2007
@@ -0,0 +1,49 @@
+--- configure.orig	Sat Feb 19 20:15:36 2000
++++ configure	Tue Mar 13 12:56:59 2007
+@@ -541,7 +541,14 @@
+ echo "######################################################################"
+ echo "######################################################################"
+ 
+-for ac_prog in wish8.2jp wish8.2 wish8.1jp wish8.1 wish8.0jp wish8.0 wish4.2jp wish4.2 wish4.1jp wish4.1 wish4.0jp wish4.0
++#### Which language should TDG use?
++if test "x$LANGUAGE" = "xjapanese" ; then
++  LANGUAGE="japanese";
++else
++  LANGUAGE="english";
++fi
++
++for ac_prog in wish8.2 wish8.1 wish8.0 wish4.2jp wish4.2 wish4.1jp wish4.1 wish4.0jp wish4.0
+ do
+ # Extract the first word of "$ac_prog", so it can be a program name with args.
+ set dummy $ac_prog; ac_word=$2
+@@ -733,7 +740,7 @@
+     echo "####################################################################"
+   fi
+ fi
+-for ac_prog in tclsh8.2jp tclsh8.2 tclsh8.1jp tclsh8.1 tclsh8.0jp tclsh8.0 tclsh7.6jp tclsh7.6 tclsh7.5jp tclsh7.5 tclsh7.4jp tclsh7.4 tclsh
++for ac_prog in tclsh8.2 tclsh8.2jp tclsh8.1 tclsh8.0jp tclsh8.0 tclsh7.6jp tclsh7.6 tclsh7.5jp tclsh7.5 tclsh7.4jp tclsh7.4 tclsh
+ do
+ # Extract the first word of "$ac_prog", so it can be a program name with args.
+ set dummy $ac_prog; ac_word=$2
+@@ -1222,18 +1229,12 @@
+ 	{ echo "configure: error: I couldn't find 'ln'" 1>&2; exit 1; }
+ fi
+ 
+-
+ #### Which language should TDG use?
+-$TCLSH language.tcl
+-res=$?
+-if test "$res" = "1" ; then
+-  LANGUAGE=english;
+-elif test "$res" = "2" ; then
+-  LANGUAGE=japanese;
++if test "x$LANGUAGE" = "xjapanese" ; then
++  LANGUAGE="japanese";
+ else
+-  { echo "configure: error: Internal error" 1>&2; exit 1; }
++  LANGUAGE="english";
+ fi
+-
+ 
+ trap '' 1 2 15
+ cat > confcache <<\EOF
>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->miwi 
Responsible-Changed-By: edwin 
Responsible-Changed-When: Tue Mar 13 12:10:15 UTC 2007 
Responsible-Changed-Why:  
miwi@ wants this PRs 

http://www.freebsd.org/cgi/query-pr.cgi?pr=110263 
State-Changed-From-To: open->closed 
State-Changed-By: miwi 
State-Changed-When: Tue Mar 13 13:31:08 UTC 2007 
State-Changed-Why:  
Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=110263 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/110263: commit references a PR
Date: Tue, 13 Mar 2007 13:31:04 +0000 (UTC)

 miwi        2007-03-13 13:30:55 UTC
 
   FreeBSD ports repository
 
   Modified files:
     misc/dotfile         Makefile 
   Added files:
     misc/dotfile/files   patch-Modules-english-procmail-configure 
                          patch-configure 
   Log:
   - Fix build with new tcl/tk layout.
   
   PR:             110263
   Submitted by:   Martin Matuska <martin@matuska.org>
   
   Revision  Changes    Path
   1.27      +14 -20    ports/misc/dotfile/Makefile
   1.1       +12 -0     ports/misc/dotfile/files/patch-Modules-english-procmail-configure (new)
   1.1       +49 -0     ports/misc/dotfile/files/patch-configure (new)
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
